namespace InterpolationTest
{
    public class Snapshot
    {
        public double m_time; // server time
        public Vector2D m_pos;
        public Vector2D m_vel;
        public double m_latencyTimer;
    }

    public class Settings
    {
        public static double physicsStepClient = 1.0f / 100.0; // physics runs at 100 ticks/sec
        public static double physicsStepServer = 1.0f / 100.0; // physics runs at 100 ticks/sec
        public static double snapStoreTime = 10; // Time a snapshot is stored on the client before being discarded.
        public static double snapRate = 1.0 / 5; // 10 snapshots per second
        public static double renderStep = 1.0f / 100.0; // 
        public static double timeOffset = snapRate * 4.0; // artificial time offset between snapshot and display time
        public static int sampleAmmount = 20; // Ammount of samples taken to create targetTime
        public static double exptapoTime = 0.01; // Time in seconds for the targetTime to adjust itself back towards the snapshot time
        public static double reactDifference = 0.06; // Time in seconds for how much better/worse all samples need to be for the targetTime to adjust itself back towards snaphot time
        public static double lag = 0.1; // default latency, in seconds
        public static Vector2D defaultVelocity = new Vector2D(0, 0.5f);
    }
}
